%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name: 		virt-manager
Version: 	0.8.4
Release: 	1
Summary: 	Virtual Machine Manager

Group: 		Emulators
License: 	GPLv2+
URL: 		http://virt-manager.org/
Source0: 	http://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.gz
BuildArch: 	noarch
# Check QEMU permissions against the qemu user
Patch1: 	%{name}-0.8.2-perms-qemu-user.patch
Requires: 	python26-pygtk
Requires: 	gnome-python-gconf
Requires: 	libvirt-python
Requires: 	dbus-python26
Requires: 	dbus-x11
Requires: 	gnome-keyring
Requires: 	gnome-python-gnomekeyring
Requires: 	libxml2-python
Requires: 	python26-virtinst
Requires: 	python26-pygtk
Requires: 	librsvg
Requires: 	vte
Requires: 	scrollkeeper
Requires: 	gtk-vnc-python
BuildRequires: gettext
BuildRequires: scrollkeeper
BuildRequires: intltool

Requires(pre): GConf
Requires(post): GConf
Requires(preun): GConf
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Virtual Machine Manager provides a graphical tool for administering virtual
machines for KVM, Xen, and QEmu. Start, stop, add or remove virtual devices,
connect to a graphical or serial console, and see resource usage statistics
for existing VMs on local or remote machines. Uses libvirt as the backend
management API.

%prep
%setup -q
%patch1 -p1

%build
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" -e "^exec python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^exec python,exec python%{PYVER}," $i
done

%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install  DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

update-desktop-database %{_datadir}/applications

if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update -q -o %{_datadir}/omf/%{name}; fi

%postun
update-desktop-database %{_datadir}/applications

if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update -q; fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING COPYING-DOCS AUTHORS ChangeLog NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libexecdir}/%{name}-launch

%{_mandir}/man1/%{name}.1*

%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/*.py
#%{_datadir}/%{name}/*.pyc
#%{_datadir}/%{name}/*.pyo

%dir %{_datadir}/%{name}/pixmaps/
%{_datadir}/%{name}/pixmaps/*.png
%{_datadir}/%{name}/pixmaps/*.svg

%dir %{_datadir}/%{name}/virtManager/
%{_datadir}/%{name}/virtManager/*.py
#%{_datadir}/%{name}/virtManager/*.pyc
#%{_datadir}/%{name}/virtManager/*.pyo

%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/

%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/%{name}.service
%{_datadir}/virt-manager/pixmaps/hicolor/16x16/action/icon_console.png
%{_datadir}/virt-manager/pixmaps/hicolor/16x16/action/vm_new.png
%{_datadir}/virt-manager/pixmaps/hicolor/22x22/action/icon_console.png
%{_datadir}/virt-manager/pixmaps/hicolor/22x22/action/vm_new.png
%{_datadir}/virt-manager/pixmaps/hicolor/24x24/action/icon_console.png
%{_datadir}/virt-manager/pixmaps/hicolor/24x24/action/vm_new.png
%{_datadir}/virt-manager/pixmaps/hicolor/32x32/action/icon_console.png
%{_datadir}/virt-manager/pixmaps/hicolor/32x32/action/vm_new.png

%changelog
* Fri Jun 04 2010 Christian Metzen <metzench@ccux-linux.de> 0.8.4-1
- Version update
* Sat Jan 23 2010 Christian Metzen <metzench@ccux-linux.de> 0.8.2-2
- fix startup file
* Sat Jan 23 2010 Christian Metzen <metzench@ccux-linux.de> 0.8.2-1
- Initial CCux package release
